
Foreman - Bug #2637

Line breaks stripped from Smart Variables

06/10/2013 12:48 AM - Jonathan Melnick

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm trying to manage SSL certs in Smart Variables. Regardless of how I configure the Smart Variables (string, json, yaml), the

content's line endings get removed/replaced by spaces after saving the ariable.

History

#1 - 06/10/2013 03:07 AM - Dominic Cleal

- Priority changed from High to Normal

#2 - 06/19/2013 08:49 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#3 - 06/19/2013 09:59 AM - Joseph Magen

- Status changed from Assigned to Need more information

Jonathan,

I have not been able to duplicate this error.  When create a smart value and enter the default value as

firstline

secondline

thirdline

This is what is saved in the database with \n representing a new line.

"firstline\nsecondline\nthirdline"

#4 - 07/31/2013 04:54 AM - Joseph Magen

- Assignee deleted (Joseph Magen)

#5 - 02/29/2016 03:25 AM - Tomer Brisker

- Status changed from Need more information to Rejected

Could not reproduce. Closing.
